> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create user

> Create a client user (an employee of your client) with the Sendforsign API to manage access to contracts and templates.

### Body parameters

**data** `object` *required*

**child attribute**

**action** `string` *required*

Action type.

**clientKey** `string` *required*

Key of the client.

**user** `object` *required*

Structure, at least one of the fields must be filled.

**child attribute**

**fullname** `string`

First and second names of the user.

**email** `string`

Email of the user.

**customKey** `string`

Your custom key, if you don't need to use any of the above fields.

### Response

**user** `string`

User structure.

**child attribute**

**createTime** `string`

Create time.

**userKey** `string`

ID of the user.

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/user' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{ 
		  "data": {
				   "action": "create",
				   "clientKey": "YOUR_CLIENT_KEY",
				   "user": {
							  "fullname": "John Johnson",
							  "email": "john_johnson@mail.com", 
							  "customKey": "YOUR_COMBINATION"
						     }
				  }
       }'
```

```json Response theme={null}
        {
       "user": {
                "createTime": "2023-12-01 12:18:55",
                "userKey": "USER_KEY"
                 },
       "code": "201",
       "message": "User created"
    }
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.